@extends('layouts.app')

@section('content')
  <div class="container">
    <div class="row">
      <div class="col-md-10 col-md-offset-1">
        <div class="panel panel-default">
          <div class="panel-heading">Checkout</div>

          <div class="panel-body">
            <form id="checkout_form" required method="post" action="/checkout" enctype="multipart/form-data" class=form-horizontal>
              {{ csrf_field() }}
              <table align='center' class='table table-striped table-condensed table-hover table-bordered'>
                @foreach($checkout_info_results as $checkout_info_result)
                  @php
                  $bidnum = $checkout_info_result->idbidders;
                  $totaldue = $checkout_info_result->total_cost;
                  @endphp
                  <tr>
                    <th colspan="2">
                      <h2>
                        Bidder Number: {{ $checkout_info_result->bidder_assigned_number }}
                      </h2>
                    </th>
                    <th colspan="2">
                      <h2>
                        Total: ${{ $checkout_info_result->total_cost }}
                      </h2>
                    </th>
                  </tr>
                  <tr>
                    <th colspan="2">
                      Name: {{ $checkout_info_result->bidder_fname }} {{ $checkout_info_result->bidder_lname }}
                    </th>
                    <th colspan="2">
                      Phone Number: {{ $checkout_info_result->bidder_phone }}
                    </th>
                  </tr>
                  <tr>
                    <th>
                      Address: {{ $checkout_info_result->bidder_addr }}
                    </th>
                    <th>
                      City: {{ $checkout_info_result->bidder_city }}
                    </th>
                    <th>
                      State: {{ $checkout_info_result->bidder_state }}
                    </th>
                    <th>
                      Zip: {{ $checkout_info_result->bidder_zip }}
                    </th>
                  </tr>
                @endforeach
              </table>
              @if($checkout_list_results)
                <table align='center' class='table table-striped table-condensed table-hover table-bordered'>
                  <tr>
                    <th>
                      Item Number:
                    </th>
                    <th>
                      Winning Bid:
                    </th>
                  </tr>
                  @foreach($checkout_list_results as $checkout_list_result)
                    <tr>
                      <td>
                        {{ $checkout_list_result->item_assigned_num }}
                      </td>
                      <td>
                        ${{ $checkout_list_result->winning_cost }}
                      </td>
                    </tr>
                  @endforeach
                </table>
              @else
                <h3>
                  No Winning Bids
                </h3>
              @endif
              <div class=form-group>
                <label for=paymentmethod class="col-sm-3 col-sm-offset-1 control-label">
                  Payment Method:
                </label>
                <div class=col-sm-4>
                  <select name="checkout_payment_method" id="checkout_payment_method" required class=form-control>
                    <?php echo App\Helpers\PaymentMethodSelectList::PaymentShowMethods(); ?>
                  </select>
                </div>
              </div>
              <div class=form-group>
                <label for=check_number class="col-sm-3 col-sm-offset-1 control-label">
                  Check Number:
                </label>
                <div class=col-sm-4>
                  <input type="text" name="check_number" id="check_number" class=form-control />
                </div>
              </div>
              <div class=form-group>
                <label for=cc_transaction class="col-sm-3 col-sm-offset-1 control-label">
                  Credit Card Transaction Number:
                </label>
                <div class=col-sm-4>
                  <input type="text" name="cc_transaction" id="cc_transaction" class=form-control />
                </div>
              </div>
              <div class=form-group>
                <div class="col-sm-offset-5 col-sm-10">
                  <button type="submit" value="Submit" class="btn btn-primary">Checkout</button>
                </div>
              </div>
              <input type="hidden" name="winnertotal" value={{ $totaldue }}>
              <input type="hidden" name="checkoutbiddernum" value={{ $bidnum }}>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
@endsection
